Package fr.gouv.vitam.metadata.api.model

# Enum Class UpdateUnitKey

java.lang.Object
java.lang.Enum<UpdateUnitKey>
fr.gouv.vitam.metadata.api.model.UpdateUnitKey

All Implemented Interfaces:
  `Serializable`, `Comparable<UpdateUnitKey>`, `Constable`

public enum UpdateUnitKey extends Enum<UpdateUnitKey>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHECK_UNIT_SCHEMA`
  `UNIT_METADATA_NO_CHANGES`
  `UNIT_METADATA_NO_NEW_DATA`
  `UNIT_METADATA_UPDATE`
  `UNIT_METADATA_UPDATE_CHECK_DT`
  `UNIT_UNKNOWN_OR_FORBIDDEN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UpdateUnitKey`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UpdateUnitKey[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNIT_METADATA_UPDATE_CHECK_DT

    public static final UpdateUnitKey UNIT_METADATA_UPDATE_CHECK_DT

  - ### UNIT_METADATA_UPDATE

    public static final UpdateUnitKey UNIT_METADATA_UPDATE

  - ### CHECK_UNIT_SCHEMA

    public static final UpdateUnitKey CHECK_UNIT_SCHEMA

  - ### UNIT_UNKNOWN_OR_FORBIDDEN

    public static final UpdateUnitKey UNIT_UNKNOWN_OR_FORBIDDEN

  - ### UNIT_METADATA_NO_NEW_DATA

    public static final UpdateUnitKey UNIT_METADATA_NO_NEW_DATA

  - ### UNIT_METADATA_NO_CHANGES

    public static final UpdateUnitKey UNIT_METADATA_NO_CHANGES

- ## Method Details

  - ### values

    public static UpdateUnitKey[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UpdateUnitKey valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null